org.eclipse.emf.cdo.util

## Class DanglingIntegrityException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.emf.cdo.util.CommitException
      - - org.eclipse.emf.cdo.util.DataIntegrityException
        - - org.eclipse.emf.cdo.util.DanglingIntegrityException

- All Implemented Interfaces:
    Serializable

      public class DanglingIntegrityException
      extends DataIntegrityException

  A local `data integrity exception` that indicates the addition of one or more cross references to objects that are not (or no longer) contained in the repository.

  The target objects of the respective dangling references must be attached to the repository. A `CDOAutoAttacher` can help to do so.

  Since:
    4.2
  Author:
    Eike Stepper
  See Also:
    Serialized Form
  No Extend
    This interface is not intended to be extended by clients.
  No Instantiate
    This class is not intended to be instantiated by clients.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DanglingIntegrityException(DanglingReferenceException cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DanglingReferenceException` | `getCause()`
    `EObject` | `getTarget()`
    `boolean` | `isLocal()`

    - ### Methods inherited from class org.eclipse.emf.cdo.util.CommitException

      `wrap`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DanglingIntegrityException

          public DanglingIntegrityException(DanglingReferenceException cause)

  - ### Method Detail

    - #### getCause

          public DanglingReferenceException getCause()

      Overrides:
        `getCause` in class `Throwable`

    - #### getTarget

          public EObject getTarget()

    - #### isLocal

          public boolean isLocal()

      Overrides:
        `isLocal` in class `CommitException`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html